#/usr/bin/python2
#encoding=utf-8  
import sys, urllib, urllib2, json, ssl
from datetime import datetime,timedelta

class ItemTracking:

        def __init__(self, FollowStatus,FollowNextTime,FollowPriority,LastReplyUrl,LastReplyPageNo,LastReply_SinceID,LastReplyDate,LastReplyAuthorID,LastReplyAuthorName,ReplyCount,FollowCount,FollowErrorCount):
            
            #抓取任务的状态
            #0正常状态，等待NextCrawlTime执行抓取
            #1（人为）停止标志
            #2进行中（LockTimeout后才可以重置）
            #3超过连续错误次数限制后，自动标志为错误并停止抓取
            #4在队列中等待处理
            self.__FollowStatus=FollowStatus;

            self.__FollowNextTime=FollowNextTime;#FollowNextTime DateTime
            self.__FollowPriority=FollowPriority; #Follow任务的优先级 sbyte
            self.__LastReplyUrl=LastReplyUrl;  #最后跟踪到的评论页Url（用于PageByPage或PageByPageTimeASCE）
            self.__LastReplyPageNo=LastReplyPageNo;  #最后跟踪到的页码(用于FormatStringTimeASCE)
            self.__LastReply_SinceID=LastReply_SinceID; #最后一次同步的评论的ID
            self.__LastReplyDate=LastReplyDate; #最后回复日期 DateTime
            self.__LastReplyAuthorID=LastReplyAuthorID; #最后回复作者ID
            self.__LastReplyAuthorName=LastReplyAuthorName; #最后回复作者名
            self.__ReplyCount=ReplyCount;#已入库评论数
            self.__FollowCount=FollowCount; #跟踪次数(不算第一次抓到)
            self.__FollowErrorCount=FollowErrorCount; #跟踪错误数




        @property
        def FollowStatus(self):
            return self.__FollowStatus

        @FollowStatus.setter
        def FollowStatus(self,FollowStatus):
                self.__FollowStatus = int(FollowStatus)



        @property
        def FollowNextTime(self):
            return self.__FollowNextTime

        @FollowNextTime.setter
        def FollowNextTime(self,FollowNextTime):
                self.__FollowNextTime = str(FollowNextTime)


       

        @property
        def FollowPriority(self):
            return self.__FollowPriority

        @FollowPriority.setter
        def FollowPriority(self,FollowPriority):
                self.__FollowPriority = int(FollowPriority)


        @property
        def LastReplyUrl(self):
            return self.__LastReplyUrl

        @LastReplyUrl.setter
        def LastReplyUrl(self,LastReplyUrl):
                self.__LastReplyUrl = str(LastReplyUrl)




        @property
        def LastReplyPageNo(self):
            return self.__LastReplyPageNo

        @LastReplyPageNo.setter
        def LastReplyPageNo(self,LastReplyPageNo):
                self.__LastReplyPageNo = int(LastReplyPageNo)

     
        @property
        def LastReply_SinceID(self):
            return self.__LastReply_SinceID

        @LastReply_SinceID.setter
        def LastReply_SinceID(self,LastReply_SinceID):
                self.__LastReply_SinceID = str(LastReply_SinceID)



        @property
        def LastReplyDate(self):
            return self.__LastReplyDate

        @LastReplyDate.setter
        def LastReplyDate(self,LastReplyDate):
                self.__LastReplyDate = str(LastReplyDate)


       
         
        @property
        def LastReplyAuthorID(self):
            return self.__LastReplyAuthorID

        @LastReplyAuthorID.setter
        def LastReplyAuthorID(self,LastReplyAuthorID):
                self.__LastReplyAuthorID = str(LastReplyAuthorID)


        @property
        def LastReplyAuthorName(self):
            return self.__LastReplyAuthorName

        @LastReplyAuthorName.setter
        def LastReplyAuthorName(self,LastReplyAuthorName):
                self.__LastReplyAuthorName = str(LastReplyAuthorName)

  
        @property
        def ReplyCount(self):
            return self.__ReplyCount

        @ReplyCount.setter
        def ReplyCount(self,ReplyCount):
                self.__ReplyCount = int(ReplyCount)


        @property
        def FollowCount(self):
            return self.__FollowCount

        @FollowCount.setter
        def FollowCount(self,FollowCount):
                self.__FollowCount = int(FollowCount)
    
 

        @property
        def FollowErrorCount(self):
            return self.__FollowErrorCount

        @FollowErrorCount.setter
        def FollowErrorCount(self,FollowErrorCount):
                self.__FollowErrorCount = int(FollowErrorCount)